<?php if ( ! defined('BASEPATH')) 
	exit('No direct script access allowed');
	
/*  
 *  @author : Wallace Pacheco
 *  date    : 29 janeiro, 2016
 *  ContSimples Tecnologia
 *  http://contsimples.com.br
 */

 /*
|---------------------------------------------------------------
| TimeZone 
|---------------------------------------------------------------
*/
date_default_timezone_set('America/Sao_Paulo');

class Login extends CI_Controller {

	
	function __construct()
	{
		parent::__construct();
    /*classe crud*/
		$this->load->model('crud_model');
		$this->load->database();
    $this->load->helper('date');
		//$this->load->database();
    /*classe escrever por extenso*/
    $this->load->model('extenso_model');
		$this->load->database();
		//$this->load->database();
		/*cache control*/
		$this->output->set_header('Last-Modified: ' . gmdate("D, d M Y H:i:s") . ' GMT');
		$this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
		$this->output->set_header('Pragma: no-cache');
		$this->output->set_header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
	}
	
	/***Função padrão, redireciona para a página de login se nenhum administrador estiver logado ainda***/
	public function index()
	{
		
		if ($this->session->userdata('admin_login') == 1)
			redirect(base_url() . 'index.php?admin/dashboard', 'refresh');
		if ($this->session->userdata('client_login') == 1)
			redirect(base_url() . 'index.php?client/dashboard', 'refresh');
		
		$config = array(
			array(
				'field' => 'email',
				'label' => 'Email',
				'rules' => 'required|xss_clean|valid_email'
			),
			array(
				'field' => 'password',
				'label' => 'Password',
				'rules' => 'required|xss_clean|callback__validate_login'
			)
		);
		
		$this->form_validation->set_rules($config);
		$this->form_validation->set_message('_validate_login', ucfirst($this->input->post('login_type')) . 'Falha no Login - Favor confirmar usuário e senha!');
		$this->form_validation->set_error_delimiters('<div class="alert alert-error">
								<button type="button" class="close" data-dismiss="alert">×</button>', '</div>');
		
		if ($this->form_validation->run() == FALSE) {
			$this->load->view('login');
		} else {
		if ($this->session->userdata('admin_login') == 1)
			redirect(base_url() . 'index.php?admin/dashboard', 'refresh');
		if ($this->session->userdata('client_login') == 1)
			redirect(base_url() . 'index.php?client/dashboard', 'refresh');
		}
		
	}
	
	/***validar o login****/
	function _validate_login($str)
	{
		if ($this->input->post('login_type') == '') {
			$this->session->set_flashdata('flash_message', 'selecione_tipo_de_conta');
			redirect(base_url() . 'index.php?login', 'refresh');
			return FALSE;
		}
		$query = $this->db->get_where($this->input->post('login_type'), array(
			'email' => $this->input->post('email'),
			'password' => $this->input->post('password')
		));
		if ($query->num_rows() > 0) {
			$row = $query->row();
			if ($this->input->post('login_type') == 'admin') {
				$this->session->set_userdata('admin_login', '1');
				$this->session->set_userdata('login_type', 'admin');
				$this->session->set_userdata('admin_id', $row->admin_id);
        
        // gera log de accesso
        //print_r ($query->row()->admin_id);
        $data['user']         = $query->row()->admin_id;
        $data['user_tipo']    = 'A';
        
        $format = 'DATE_W3C';
        $time = time();
        $data['date']         = standard_date($format, $time) ;
        
        //$data['date']         = (date('Y-m-d | h:i:sH'));
        $data['tipo']         = 'accesso';
        $this->db->insert('log_acesso', $data);
        // fim - gera log de acesso
        
			}
			if ($this->input->post('login_type') == 'client') {
				$this->session->set_userdata('client_login', '1');
				$this->session->set_userdata('login_type', 'client');
				$this->session->set_userdata('client_id', $row->client_id);
        
        // gera log de accesso
        //print_r ($query->row()->client_id);
        $data['user']         = ($query->row()->client_id);
        $data['user_tipo']    = 'C';
        
        $format = 'DATE_W3C';
        $time = time();
        $data['date']         = standard_date($format, $time) ;
        
        //$data['date']         = (date('Y-m-d | h:i:sH'));
        $data['tipo']         = 'accesso';
        $this->db->insert('log_acesso', $data);
        // fim - gera log de acesso
        
        
        
			}
			return TRUE;
		} else {
			$this->session->set_flashdata('flash_message', 'Falha no Login - Favor confirmar usuário e senha!');
			redirect(base_url() . 'index.php?login', 'refresh');
			return FALSE;
		}
	}
	
	/***PADRÃO Página não encontrada *****/
	function four_zero_four()
	{
		$this->load->view('four_zero_four');
	}
	

	/***Reset e enviar senha para e-mail SOLICITADO****/
	function reset_password()
	{
		$account_type = $this->input->post('account_type');
		if ($account_type == "") {
			redirect(base_url(), 'refresh');
		}
		$email  = $this->input->post('email');
		$result = $this->email_model->password_reset_email($account_type, $email); //SEND EMAIL ACCOUNT OPENING EMAIL
		if ($result == true) {
			$this->session->set_flashdata('flash_message', 'password_sent');
		} else if ($result == false) {
			$this->session->set_flashdata('flash_message', 'account_not_found');
		}
		
		
	}
	/******* FUNÇÃO LOGOUT *******/
	function logout()
	{

    //echo 'cliente: ' .$this->session->userdata('client_id');
    //echo 'Admin: '.$this->session->userdata('admin_id');
    // gera log de accesso
    //print_r ($this->session->userdata('client_id'));
    //print_r ($this->session->userdata('admin_id'));
    
    if( !empty($this->session->userdata('admin_id')))
     {
      $data['user']         = $this->session->userdata('admin_id');
      $data['user_tipo']    = 'A';
      
      $format = 'DATE_W3C';
      $time = time();
      $data['date']         = standard_date($format, $time) ;
      
      //$data['date']         = (date('Y-m-d | h:i:sH'));
      $data['tipo']         = 'logout';
      $this->db->insert('log_acesso', $data);
      // fim - gera log de acesso
      
     } 
      else
     
          {
            $data['user']         = $this->session->userdata('client_id');
            $data['user_tipo']    = 'C';
            
            $format = 'DATE_W3C';
            $time = time();
            $data['date']         = standard_date($format, $time) ;
            
            //$data['date']         = (date('Y-m-d | h:i:sH'));
            $data['tipo']         = 'logout';
            $this->db->insert('log_acesso', $data);
            // fim - gera log de acesso
      
        }

  
		$this->session->unset_userdata('client_id');
		$this->session->sess_destroy();   
		$this->session->set_flashdata('logout_notification', 'logged_out');
		redirect(base_url() . 'index.php?login', 'refresh');
	}
	
}