<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Crud_model extends CI_Model {

    function __construct()
    {
        parent::__construct();
    }

    function clear_cache()
    {
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
    }
    function get_type_name_by_id($type,$type_id='',$field='name')
    {
        return	$this->db->get_where($type,array($type.'_id'=>$type_id))->row()->$field;
    }


    /////////ADMIN/////////////
    function get_admin()
    {
        $query	=	$this->db->get('admin' );
        return $query->result_array();
    }
    function get_admin_info($admin_id)
    {
        $query	=	$this->db->get_where('admin' , array('admin_id' => $admin_id));
        return $query->result_array();
    }
    function get_name_by_admin($admin_id,$field='name')
    {
        return	$this->db->get_where('admin',array('admin_id'=>$admin_id))->row()->$field;
    }
    function get_email_by_admin($admin_id,$field='email')
    {
        return	$this->db->get_where('admin',array('admin_id'=>$admin_id))->row()->$field;
    }

    ///////// DASHBOARD /////////////
    function get_count_message($client_id)
    {
        $this->db->count_all_results('message');  // Produces an integer, like 25
        $this->db->where('sender', $client_id);
        $this->db->from('message');

        return	$this->db->count_all_results();
    }
    function get_count_cobranca($client_id)
    {
        $contador = 0;
        $data_atual = date('Y-m-d');
        
        $this->db->count_all_results('files');  // Produces an integer, like 25
        $this->db->where('client', $client_id);
        $this->db->where('product', '60'); 
        $this->db->where('ind_up', 'C');
        $this->db->where('status !=', 'pago');
        $this->db->where('status !=', 'cancelado');
        $this->db->where('status !=', 'pago + nf salva');
        $this->db->where('data_venc <=', $data_atual);
        $this->db->from('files');
        
        $contador =  @$this->db->count_all_results();
        
        $this->db->count_all_results('w_cliente_mensalidade_aviso');  // Produces an integer, like 25
        $this->db->where('cliente', $client_id);
        $this->db->where('status_boleto !=', 'pago');
        $this->db->where('status_boleto !=', 'cancelado');
        $this->db->where('status_boleto !=', 'pago + nf salva');
        $this->db->where('dias_vencido >=', 1);
        $this->db->from('w_cliente_mensalidade_aviso');
        
        $contador =  $contador +  @$this->db->count_all_results();

        return	$contador;
    }

    function get_count_notificacao_extra($client_id)
    {
        $contador = 0;
        //$data_atual = date('Y-m-d');
        $XQuery = "select count(*) as qtde from client_notificacao_extra where cliente='".$client_id."' and status in ('A','P')";
        $contador = @$this->db->query($XQuery)->row()->qtde;        

        //print $contador;
        return	$contador;
    }

    function get_mensagem_notificacao_extra($client_id,$field='mensagem')
    {
        return	@$this->db->get_where('client_notificacao_extra',array('cliente'=>$client_id,'status'=>'A'))->row()->$field;
    }

    /////////BULK_MAIL/////////////
    function get_bulk_mail()
    {
        $query	=	$this->db->get('bulk_mail' );
        return $query->result_array();
    }
    function get_bulk_mail_info($bulk_mail_id)
    {
        $query	=	$this->db->get_where('bulk_mail' , array('bulk_mail_id' => $bulk_mail_id));
        return $query->result_array();
    }

    /////////CATEGORY/////////////
    function get_category()
    {
        $query	=	$this->db->get('category' );
        return $query->result_array();
    }
    function get_category_info($category_id)
    {
        $query	=	$this->db->get_where('category' , array('category_id' => $category_id));
        return $query->result_array();
    }
    function get_category_name_by_id($category_id)
    {
        $query	=	$this->db->get_where('category' , array('category_id' => $category_id));
        return $query->result_array();
    }
    function get_category_desc_name_by_id($category_id)
    {
        return @$this->db->get_where('category',array('category_id'=>$category_id))->row()->name;
    }    
    function get_category_ordenada($ind_client)
    {
        $this->db->order_by('ordem', 'ASC');
        $this->db->order_by('name', 'ASC');
        $query	=	$this->db->get_where('category',array('ind_client' => $ind_client));

        return $query->result_array();
    }

    /////////CLIENT/////////////
    function get_client()
    {
        $query	=	$this->db->get('client');
        return $query->result_array();
    }
    function get_client_info($client_id)
    {
        $query	=	$this->db->get_where('client' , array('client_id' => $client_id));
        return $query->result_array();
    }  
    function get_status_client_id($client_id,$field='status')
    {
        return	$this->db->get_where('client_status',array('client'=>$client_id))->row()->$field;
    }  
    function get_name_by_client($client_id,$field='name')
    {
        return @$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_client_pj_pf($client_id,$field='pj_pf')
    {
        return	@$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_cnpj_cpf_by_client($client_id,$field='cnpj_cpf')
    {
        return	@$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_client_usa_dp($client_id,$field='usa_dp')
    {
        return	$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_client_usa_nota_fiscal($client_id,$field='usa_nota_fiscal')
    {
        return	$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_alterdata_by_client($client_id,$field='alterdata')
    {
        return	$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_email_by_client($client_id,$field='email')
    {
        return	$this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_client_aliquota_iss($client_id,$field='aliquota_iss')
    {
        return $this->db->get_where('client',array('client_id'=>$client_id))->row()->$field;
    }
    function get_log_acesso($client_id)
    {
        //$this->db->count_all_results('log_acesso');
        $this->db->where('user', $client_id);
        $this->db->where('tipo =', 'accesso');
        $this->db->from('log_acesso');

        return	$this->db->count_all_results();
    }
    function get_ultimo_acesso($client_id,$field='ultimo_acesso')
    {
       return $this->db->get_where('w_log_ultimo_acesso_cliente',array('client'=>$client_id))->row()->$field;
    }
    ///////// Client Sócio /////////////
    function get_count_socio($client_id)
    {
        //$this->db->count_all_results('client_socio');  // Produces an integer, like 25
        $this->db->where('client', $client_id);
        $this->db->from('client_socio');

        return	$this->db->count_all_results();
    }
    function get_client_socio_info($client_socio_id)
    {

        $query	=	$this->db->get_where('client_socio' , array('client_socio_id' => $client_socio_id));

        return $query->result_array();
    }
    function get_all_client_socio_info($client_id)
    {
        $query	=	$this->db->get_where('client_socio' , array('client' => $client_id));

        return $query->result_array();
    }
    function get_nome_by_client_socio($client_id,$field='name')
    {
        return	@$this->db->get_where('w_client_socio_resp_cnpj',array('client'=>$client_id))->row()->$field;
    }
    function get_cnpj_cpf_by_client_socio($client_id,$field='cnpj_cpf')
    {
        return	@$this->db->get_where('w_client_socio_resp_cnpj',array('client'=>$client_id))->row()->$field;
    }
    function get_id_by_client_socio($client_id,$field='cliente_socio')
    {
        return	@$this->db->get_where('w_client_socio_resp_cnpj',array('client'=>$client_id))->row()->$field;
    }
    //////// Cliente Atividade /////////////
    function get_client_atividade_desc($cae,$field='descricao')
    {
        return $this->db->get_where('tb_ex_cae',array('cae'=>$cae))->row()->$field;
    }
    //////// Cliente Cnae /////////////
    function get_client_cnae_desc($cnae,$field='descricao')
    {
        return $this->db->get_where('tb_ex_cnae',array('cnae'=>$cnae))->row()->$field;
    }
    ///////// Dest Cliente - Meus Clientes /////////////
    function get_client_dest_cliente_all_info($client_id)
    {

        //$query	=	$this->db->get_where('dest_cliente' , array('cliente' => $client_id));
        $XQuery = "select * from dest_cliente where cliente='".$client_id."' or cliente='1'";
        $result = @$this->db->query($XQuery);     

        return $result->result_array();
    }
    function get_client_dest_cliente_info($dest_client_id)
    {

        $query	=	$this->db->get_where('dest_cliente' , array('dest_cliente_id' => $dest_client_id));

        return $query->result_array();
    }
    function get_name_by_dest_client($dest_cliente_id,$field='dest_cliente')
    {
        return	$this->db->get_where('dest_cliente',array('dest_cliente_id'=>$dest_cliente_id))->row()->$field;
    }
    //////// Cliente Configurações /////////////
    function get_client_config_permite_retroativo($cliente,$field='permite_retroativo')
    {
        return $this->db->get_where('client_config',array('client'=>$cliente))->row()->$field;
    }
    function get_client_config_usa_contabil($cliente,$field='usa_contabil')
    {
        return $this->db->get_where('client',array('client_id'=>$cliente))->row()->$field;
    }
    function get_client_config_usa_financeiro($cliente,$field='usa_financeiro')
    {
        return $this->db->get_where('client',array('client_id'=>$cliente))->row()->$field;
    } 
    
    function get_client_config_usa_financeiro_a_receber($cliente,$field='usa_a_receber')
    {
        return $this->db->get_where('client_config',array('client'=>$cliente))->row()->$field;
    }   
    function get_client_config_usa_financeiro_a_pagar($cliente,$field='usa_a_pagar')
    {
        return $this->db->get_where('client_config',array('client'=>$cliente))->row()->$field;
    }                  
    ///////// Funcionário /////////////
    function get_funcionario_info($dp_funcionario_id)
    {

        $query	=	$this->db->get_where('dp_funcionario' , array('dp_funcionario_id' => $dp_funcionario_id));

        return $query->result_array();
    }
    function get_funcionario_status($status)
    {

        switch ($status){
                                  case 'A':
                                      $texto = 'Ativo';
                                    break;
                                  case 'F':
                                      $texto =  'Férias';
                                    break;
                                  case 'L':
                                      $texto =  'Licença';
                                    break;
                                  case 'D':
                                      $texto =  'Demitido';
                                    break;
                                  case 'C':
                                      $texto =  'Cancelado';
                                    break;
                  }

        return ($texto);
    }
    ///////// Dependente /////////////
    function get_dependente_info($dp_dependente_id)
    {

        $query	=	$this->db->get_where('dp_dependente' , array('dp_dependente_id' => $dp_dependente_id));

        return $query->result_array();
    }

    /////////GROUP/////////////
    function get_group()
    {
        $query	=	$this->db->get('group' );
        return $query->result_array();
    }
    function get_group_info($group_id)
    {
        $query	=	$this->db->get_where('group' , array('group_id' => $group_id));
        return $query->result_array();
    }

    /////////INVOICE/////////////
    function get_invoice()
    {
        $query	=	$this->db->get('invoice' );
        return $query->result_array();
    }
    function get_invoice_info($invoice_id)
    {
        $query	=	$this->db->get_where('invoice' , array('invoice_id' => $invoice_id));
        return $query->result_array();
    }
    function get_orders_by_client($client_id)
    {
        $query	=	$this->db->get_where('order' , array('client' => $client_id));
        return $query->result_array();
    }
    function get_product_detail_by_order($order_id, $field = 'name', $product = 'product')
    {
        $product = $this->db->get_where('order',array('order_id'=>$order_id))->row()->$product;
        return	$this->db->get_where('product',array('product_id'=>$product))->row()->$field;
    }

    function get_order_amount($order_id, $field = 'total_price')
    {
        return	$this->db->get_where('order',array('order_id'=>$order_id))->row()->$field;
    }

    /////////MESSAGE/////////////
    function get_message()
    {
        $query	=	$this->db->get('message' );
        return $query->result_array();
    }
    function get_message_info($message_id)
    {
        $query	=	$this->db->get_where('message' , array('message_id' => $message_id));
        return $query->result_array();
    }

    /////////NOTE/////////////
    function get_note()
    {
        $query	=	$this->db->get('note' );
        return $query->result_array();
    }
    function get_note_info($note_id)
    {
        $query	=	$this->db->get_where('note' , array('note_id' => $note_id));
        return $query->result_array();
    }
    function get_note_name($sender,$field='name')
    {
        return	$this->db->get_where('admin',array('admin_id'=>$sender))->row()->$field;
    }
    function get_count_anotacao($admin_id)
    {
        $this->db->count_all_results('note');  // Produces an integer, like 25
        $this->db->where('note', $admin_id);
        $this->db->where('status !=', 'finalizado');
        $this->db->from('note');

        return	$this->db->count_all_results();
    }

    /////////ORDER/////////////
    function get_order()
    {
        $query	=	$this->db->get('order' );
        return $query->result_array();
    }
    function get_order_info($order_id)
    {
        $query	=	$this->db->get_where('order' , array('order_id' => $order_id));
        return $query->result_array();
    }

    function get_products_by_type($type_id)
    {
        $query	=	$this->db->get_where('product' , array('type' => $type_id));
        return $query->result_array();
    }

    function get_ref_by_product($ref)
    {
        $query	=	$this->db->get_where('product' , array('w_product_ref' => $ref));
        return $query->result_array();
    }
    function get_cnpj_by_client($client)
    {
        $query	=	$this->db->get_where('client' , array('client_id' => $client));
        return $query->result_array();
    }
    /////////FILES/////////////
    function get_file()
    {
        $query	=	$this->db->get('files' );
        return $query->result_array();
    }
    function get_file_info($file_id)
    {
        $query	=	$this->db->get_where('files' , array('file_id' => $file_id));
        return $query->result_array();
    }


    /////////NOTAS FISCAIS/////////////
    function get_xml_info($xml_id)
    {
        $query	=	$this->db->get_where('xmls' , array('xml_id' => $xml_id));
        return $query->result_array();
    }

    function get_nome_municipio($codigo_munic,$field='nome')
    {
        return	$this->db->get_where('tb_ex_ibge',array('codigo'=>$codigo_munic))->row()->$field;
    }

    function get_nome_cnae($n_cnae,$field='descricao')
    {
        return	$this->db->get_where('tb_ex_cnae',array('cnae'=>$n_cnae))->row()->$field;
    }

    function get_nome_cae($n_cae,$field='descricao')
    {
        return	$this->db->get_where('tb_ex_cae',array('cae'=>$n_cae))->row()->$field;
    }
    function get_nfs_info($nfs_id)
    {
        $query	=	$this->db->get_where('nfs' , array('nfs_id' => $nfs_id));
        return $query->result_array();
    }
    function get_nota_num_by_client($client,$field='nfs_num')
    {
        return	$this->db->get_where('nfs_n',array('cliente'=>$client))->row()->$field;
    }
    /////////RECIBOS/////////////
    function get_recibo_info($recibo_id)
    {
        $query	=	$this->db->get_where('recibo' , array('recibo_id' => $recibo_id));
        return $query->result_array();
    }

    /////////RECIBOS NUMERO/////////////

    function get_recibo_num_by_client($client,$field='recibo_num')
    {

        return	$this->db->get_where('recibo_n',array('client'=>$client))->row()->$field;
    }

    /////////PRODUCT/////////////
    function get_product()
    {
        $query	=	$this->db->get('product' );
        return $query->result_array();
    }
    function get_product_info($product_id)
    {
        $query	=	$this->db->get_where('product' , array('product_id' => $product_id));
        return $query->result_array();
    }
    function get_product_name($product_id,$field='name')
    {
         return	$this->db->get_where('product',array('product_id'=>$product_id))->row()->$field;
    }    

    /////////TRANSACTION/////////////
    function get_transaction()
    {
        $query	=	$this->db->get('transaction' );
        return $query->result_array();
    }
    function get_transaction_info($transaction_id)
    {
        $query	=	$this->db->get_where('transaction' , array('transaction_id' => $transaction_id));
        return $query->result_array();
    }

    /////////TYPE/////////////
    function get_type()
    {
        $query	=	$this->db->get('type' );
        return $query->result_array();
    }
    function get_type_info($type_id)
    {
        $query	=	$this->db->get_where('type' , array('type_id' => $type_id));
        return $query->result_array();
    }
    function get_types_by_category($category_id)
    {
        $query	=	$this->db->get_where('type' , array('category' => $category_id));
        return $query->result_array();
    }

//////// LOGIN /////////////

    function get_login_sindicato($cnpj_cpf)
    {
        $Id_Cliente	=	@$this->db->get_where('client',array('cnpj_cpf'=>$cnpj_cpf))->row()->client_id;
        
        return $this->db->get_where('client_sindicato',array('client'=>$Id_Cliente))->row()->password;
    }

/////////EXTRAS/////////////

    function get_desc_pasta_num_by_product($product,$field='description')
    {
        return	$this->db->get_where('product',array('product_id'=>$product))->row()->$field;
    }

/////////FILES EXTRAS/////////////
    function get_pasta_by_files_extra_id($files_extra_id,$field='path')
    {
        return	$this->db->get_where('files_extra',array('files_extra_id'=>$files_extra_id))->row()->$field;
    }

/////////MOV LANCAR - APAGAR - COMPROVANTE /////////////
    function get_comprovante_a_pagar($mov_id,$field='path')
    {
        return	$this->db->get_where('mov_comprovante',array('mov'=>$mov_id))->row()->$field;
    }

/////////Cliente dos Clientes /////////////

    function get_dest_cliente_info($dest_cliente_id)
    {
        $query	=	$this->db->get_where('dest_cliente' , array('dest_cliente_id' => $dest_cliente_id));
        return $query->result_array();
    }

    
    function get_dest_cliente_fornecedor_nome($dest_cliente_id)
    {
        
        $nome =  @$this->db->get_where('dest_cliente' , array('dest_cliente_id' => $dest_cliente_id))->row()->dest_cliente;
        $n_doc =  @$this->db->get_where('dest_cliente' , array('dest_cliente_id' => $dest_cliente_id))->row()->dest_cnpj_cpf;
        $query	=	$n_doc.' - '.$nome;
        return $query  ;
    }

    function get_dest_cliente_fornecedor_nome_lancamento($mov_id)
    {
        
        $id =  @$this->db->get_where('mov' , array('mov_id' => $mov_id))->row()->fornecedor;
        $nome =  @$this->db->get_where('dest_cliente' , array('dest_cliente_id' => $id))->row()->dest_cliente;
        $n_doc =  @$this->db->get_where('dest_cliente' , array('dest_cliente_id' => $id))->row()->dest_cnpj_cpf;
        $query	=	$n_doc.' - '.$nome;
        return $query  ;
    }

//////// CONTRATO /////////////
function get_log_contrato($client_id)
    {
        $query	=	$this->db->get_where('client_contrato' , array('cliente' => $client_id));
        return $query->result_array();
    }
    
//////// Conta Sindicado /////////////
function get_nome_conta_banco_cliente($conta_id)
    {

        $banco =  @$this->db->get_where('client_conta_banco',array('client_conta_banco_id' => $conta_id))->row()->banco;
        $agencia =  @$this->db->get_where('client_conta_banco',array('client_conta_banco_id' => $conta_id))->row()->agencia;
        $conta =  @$this->db->get_where('client_conta_banco',array('client_conta_banco_id' => $conta_id))->row()->conta;

        if (!empty($agencia))  {
          $texto = $banco.' AG: '.$agencia.' CC: '.$conta;
        }else { $texto = '';}
        
        return $texto;
    }

//////// PARAMETROS /////////////
function get_contabilidade_completa_mei($client_id,$field='contabilidade_completa_mei')
    {     
        return $this->db->get_where('client_config',array('client'=>$cliente))->row()->$field;
    } 
function get_usa_contabilidade_completa($client_id)
    {     
        
        $field1 = 'contabilidade_completa_mei';
        $field2 = 'pj_pf';
        $usaCompleto = 'N';
       
        $xContabCompleta = '';
        $xContabCompleta = $this->db->get_where('client_config',array('client'=>$client_id))->row()->$field1;
        
        $xTipoEmpresa = '';
        $xTipoEmpresa = $this->db->get_where('client',array('client_id'=>$client_id))->row()->$field2;
               
        if ($xTipoEmpresa != '2') {
            $usaCompleto = 'S';
        } elseif ($xContabCompleta == 'S') {
            $usaCompleto = 'S';
        } else {
            $usaCompleto = 'N';
        }
     
        return ($usaCompleto) ;
    } 

function libera_legalizacao($id)
    {     
        
        $perfil = @$this->db->get_where('admin',array('admin_id'=>$id))->row()->perfil;
        
        switch ($perfil){
                                  case '1':
                                      $libera = 1;     // TI
                                    break;
                                  case '2':
                                      $libera = 0;     // Gestão
                                    break;
                                  case '3':
                                      $libera = 1;     // Legalização
                                    break;
                                  case '4':
                                      $libera = 0;     // Contabilidade
                                    break;
                                  case '5':
                                      $libera = 0;     // Fiscal
                                    break;
                                  case '6':
                                      $libera = 0;     // DP
                                    break;                                    
                                  default:
                                      $libera = 0;
                                              
                  }
        
        
        return $libera;
    }

function libera_dp($id)
    {     
        
        $perfil = @$this->db->get_where('admin',array('admin_id'=>$id))->row()->perfil;
        
        switch ($perfil){
                                  case '1':
                                      $libera = 1;     // TI
                                    break;
                                  case '2':
                                      $libera = 0;     // Gestão
                                    break;
                                  case '3':
                                      $libera = 0;     // Legalização
                                    break;
                                  case '4':
                                      $libera = 0;     // Contabilidade
                                    break;
                                  case '5':
                                      $libera = 0;     // Fiscal
                                    break;
                                  case '6':
                                      $libera = 1;     // DP
                                    break;                                    
                                  default:
                                      $libera = 0;
                                              
                  }
        
        
        return $libera;
    }

function tipo_postagem($id)
    {     
        
        $perfil = @$this->db->get_where('admin',array('admin_id'=>$id))->row()->perfil;
        
        switch ($perfil){
                                  case '1':
                                      $libera = 1;     // TI
                                    break;
                                  case '2':
                                      $libera = 0;     // Gestão
                                    break;
                                  case '3':
                                      $libera = 0;     // Legalização
                                    break;
                                  case '4':
                                      $libera = 0;     // Contabilidade
                                    break;
                                  case '5':
                                      $libera = 0;     // Fiscal
                                    break;
                                  case '6':
                                      $libera = 1;     // DP
                                    break;                                    
                                  default:
                                      $libera = 0;
                                              
                  }
        
        
        return $libera;
    }
    
function aprovado_nome($id)
    {     
   
        $nome = @$this->db->get_where('mov_aprovacao',array('cod_status'=>$id))->row()->status;
        
        if  (empty($nome))
        {
          $nome = 'Sem Status';
        }
  
        return $nome;

    } 
function aprovado_cor($id)
    {     

        $cor = @$this->db->get_where('mov_aprovacao',array('cod_status'=>$id))->row()->cor;
        
        if  (empty($cor))
        {
          $cor = 'cinza';
        }
  
        return $cor;

    }   
function status_nome($status)
    {     
   
        $nome = @$this->db->get_where('mov_status',array('status'=>$status))->row()->status;
        
        if  (empty($nome))
        {
          $nome = 'Novo';
        }
  
        return $nome;

    }       
function status_cor($status)
    {     

        $cor = @$this->db->get_where('mov_status',array('status'=>$status))->row()->cor;
        
        if  (empty($cor))
        {
          $cor = 'cinza';
        }
  
        return $cor;

    } 

function perfil_literal($cliente)
    { 
        
$usa_contabil   = @$this->db->get_where('client',array('client_id'=>$cliente))->row()->usa_contabil;        
$usa_dp         = @$this->db->get_where('client',array('client_id'=>$cliente))->row()->usa_dp;
//$usa_financeiro = $this->db->get_where('client',array('client_id'=>$cliente))->row()->usa_financeiro;
$usa_a_receber  = @$this->db->get_where('client_config',array('client'=>$cliente))->row()->usa_a_receber;
$usa_a_pagar    = @$this->db->get_where('client_config',array('client'=>$cliente))->row()->usa_a_pagar; 
      
$opcao =  $usa_contabil.$usa_dp.$usa_a_receber.$usa_a_pagar ;

        return $opcao;
         
  }
    
function perfil_envio_documento($cliente)
    { 
        
$usa_contabil   = @$this->db->get_where('client',array('client_id'=>$cliente))->row()->usa_contabil;        
$usa_dp         = @$this->db->get_where('client',array('client_id'=>$cliente))->row()->usa_dp;
//$usa_financeiro = $this->db->get_where('client',array('client_id'=>$cliente))->row()->usa_financeiro;
$usa_a_receber  = @$this->db->get_where('client_config',array('client'=>$cliente))->row()->usa_a_receber;
$usa_a_pagar    = @$this->db->get_where('client_config',array('client'=>$cliente))->row()->usa_a_pagar; 
/*
Documentos A Pagar ( somente quem financeiro ) - 93
Documentos Pagos ( financeiro e contábil ) - 94
Extrato Bancário ( todos ) - 90
Receitas a contabilizar ( somente para quem não tem o contas a receber e tem contabil ) - 92
Outros documentos a contabilizar ( quem esta na contabilidade ) - 91
*/        
$opcao =  $usa_contabil.$usa_dp.$usa_a_receber.$usa_a_pagar ;
 switch ($usa_contabil.$usa_dp.$usa_a_receber.$usa_a_pagar){

    case 'NNNS': $query	=	"SELECT * FROM type where type_id in ('90')"; break;
    case 'NNSN': $query	=	"SELECT * FROM type where type_id in ('90')"; break;
    case 'NNSS': $query	=	"SELECT * FROM type where type_id in ('90','93','94')"; break;
    case 'NSNN': $query	=	"SELECT * FROM type where type_id in ('90')"; break;
    case 'NSNS': $query	=	"SELECT * FROM type where type_id in ('90','93','94')"; break;
    case 'NSSN': $query	=	"SELECT * FROM type where type_id in ('90')"; break;
    case 'NSSS': $query	=	"SELECT * FROM type where type_id in ('90','93','94')"; break;
    case 'SNSS': $query	=	"SELECT * FROM type where type_id in ('90','91','93','94')"; break;
    case 'SNSN': $query	=	"SELECT * FROM type where type_id in ('90','91','94')"; break;
    case 'SNNS': $query	=	"SELECT * FROM type where type_id in ('90','91','92','93','94')"; break;
    case 'SNNN': $query	=	"SELECT * FROM type where type_id in ('90','91','92')"; break;
    case 'SSSS': $query	=	"SELECT * FROM type where type_id in ('90','91','93','94')"; break;
    case 'SSSN': $query	=	"SELECT * FROM type where type_id in ('90','91','92')"; break;
    case 'SSNS': $query	=	"SELECT * FROM type where type_id in ('90','91','92','93','94')"; break;
    case 'SSNN': $query	=	"SELECT * FROM type where type_id in ('90','91','92')"; break;                                                                                                                                                                                                                                                                                                                                                                     
    default:
        $query	=	"SELECT * FROM type where type_id in ('90')";      
    } 
        return $this->db->query($query)->result_array();
         
} 

function file_extra_tipo_arquivo($id)
    {        
        return $this->db->get_where('type',array('type_id'=>$id))->row()->name;    
  }
     
function prefil_notificacao_tela($id)
    {     
        
        $perfil = @$this->db->get_where('admin',array('admin_id'=>$id))->row()->perfil;
        
        switch ($perfil){
                                  case '1':
                                      $libera = 'T';     // ContSimples - Libera TUDO
                                    break;
                                  case '2':
                                      $libera = 'G';     // Gestão Firjan - Só não libera ferramenta de ajuste
                                    break;
                                  case '3':
                                      $libera = 'F';     // Financeiro
                                    break;
                                  case '4':
                                      $libera = 'C';     // Contabilidade
                                    break;
                                  case '5':
                                      $libera = 'L';     // Fiscal
                                    break;
                                  case '6':
                                      $libera = 'D';     // DP
                                    break;                                    
                                  default:
                                      $libera = 0;    // não libera
                                              
                  }
        
        
        return $libera;
    }    

function permissao_acesso_arquivo($usuario_email)
    { 
        
$perfil   = @$this->db->get_where('admin',array('email'=>$usuario_email))->row()->perfil;        

/*
'1':'T' ContSimples - Libera TUDO
'2':'G' Gestão Firjan - Só não libera ferramenta de ajuste
'3':'F' Financeiro  - A pagar
'4':'C' Contabilidade
'5':'L' Fiscal
'6':'D' DP
'7':'R' Financeiro  - A receber
*/        

 switch ($perfil){

    case '1': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;
    case '2': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;
    case '3': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and tipo in ('93') and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;
    case '4': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and tipo not in ('93') and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;
    case '5': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and tipo in ('90') and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;
    case '6': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and tipo in ('90') and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;
    case '6': $query	=	"SELECT * FROM files_extra where status='a contabilizar' and tipo in ('90') and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc"; break;                                                                                                                                                                                                                                                                                                                                                                    
    default:
        $query	=	"SELECT * FROM files_extra where status='a contabilizar' and tipo in ('90') and product='99' and status <> 'cancelado' and ind_up = 'U' order by date desc";      
    } 
        return $this->db->query($query)->result_array();
        //return $query;
         
  }        

}
             