<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

/*  
 *  @author : Wallace Pacheco
 *  date    : 01 junho, 2015
 *  ContSimples Tecnologia
 *  http://contsimples.com.br
 */

/*
|---------------------------------------------------------------
| TimeZone 
|---------------------------------------------------------------
*/
date_default_timezone_set('America/Sao_Paulo');


class Admin extends CI_Controller
{


    function __construct()
    {
        parent::__construct();
        $this->load->database();
        $this->load->helper('date');
        //$this->load->library('session');
        /*cache control*/
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
    }


/***default functin, redirects to login page if no admin logged in yet***/
    public function index()
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($this->session->userdata('admin_login') == 1)
            redirect(base_url() . 'index.php?admin/dashboard', 'refresh');
    }


/***ADMIN DASHBOARD***/
    function dashboard()
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        $page_data['page_name']  = 'dashboard';
        $page_data['page_icon'] = 'dashboard';
        $page_data['page_title'] = 'Painel Administrativo';
        $this->load->view('index', $page_data);
    }


/****MANAGE category*****/
    function category($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['cod_category']   = $this->input->post('cod_category');
            $data['name']           = $this->input->post('name');
            $data['about']          = $this->input->post('about');
            $data['ind_client']     = $this->input->post('ind_client');
            $data['type_category']  = $this->input->post('type_category');
            $data['ordem']          = $this->input->post('ordem');
            $this->db->insert('category', $data);
            redirect(base_url() . 'index.php?admin/category/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cod_category']   = $this->input->post('cod_category');
            $data['name']           = $this->input->post('name');
            $data['about']          = $this->input->post('about');
            $data['ind_client']     = $this->input->post('ind_client');
            $data['type_category']  = $this->input->post('type_category');
            $data['ordem']          = $this->input->post('ordem');
            $this->db->where('category_id', $param2);
            $this->db->update('category', $data);
            redirect(base_url() . 'index.php?admin/category/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']    = true;
            $page_data['current_category_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('category', array(
                'category_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('category_id', $param2);
            $this->db->delete('category');
            redirect(base_url() . 'index.php?admin/category/', 'refresh');
        }
        $page_data['category']    = $this->db->get('category')->result_array();
        $page_data['page_name']   = 'category';
        $page_data['page_icon']   = 'list';
        $page_data['page_title']  = 'Categorias / Plano de Contas';
        $this->load->view('index', $page_data);
    }


/**** Gestão CLIENTE*****/
    function client($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            //$data['cnpj_cpf']        = str_replace(str_replace(str_replace($this->input->post('cnpj_cpf'),'.',''),'/',''),'-','');
            $data['cnpj_cpf']        = str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf')));
            $data['pj_pf']           = $this->input->post('pj_pf');
            $data['alterdata']       = $this->input->post('alterdata');
            $data['name']            = strtoupper($this->input->post('name'));
            $data['store']           = $this->input->post('store');
            $data['email']           = $this->input->post('email');
            $data['password']        = $this->input->post('password');
            $data['creation_date']   = $this->input->post('creation_date');
            $data['alt_date']        = $this->input->post('alt_date');
            $data['about']           = $this->input->post('about');
            $data['ie']              = strtoupper($this->input->post('ie'));
            $data['cmc']             = strtoupper($this->input->post('cmc'));
            $data['address']         = strtoupper($this->input->post('address'));
            $data['addr_n']          = strtoupper($this->input->post('addr_n'));
            $data['addr_comp']       = strtoupper($this->input->post('addr_comp'));
            $data['addr_bairro']     = strtoupper($this->input->post('addr_bairro'));
            $data['addr_cidade']     = strtoupper($this->input->post('addr_cidade'));
            $data['addr_estado']     = strtoupper($this->input->post('addr_estado'));
            $data['addr_cep']        = $this->input->post('addr_cep');
            $data['addr_pais']       = strtoupper($this->input->post('addr_pais'));
            $data['ddd_phone']       = $this->input->post('ddd_phone');
            $data['phone']           = $this->input->post('phone');
            $data['group']           = $this->input->post('group');
            $data['contact']         = $this->input->post('contact');
            $data['contact_email']   = $this->input->post('contact_email');
            $data['qtde_socios']     = $this->input->post('qtde_socios');
            $data['usa_dp']          = $this->input->post('usa_dp');
            $this->db->insert('client', $data);

            // cria estrutura de pasta
            mkdir("./uploads/".$this->input->post('alterdata')."/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/cob/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/doc_cad/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/doc_fis/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/guias/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/mov/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/rel/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/xml/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/doc_extra/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/dp_doc_cad/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/dp_rel/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/dp_guias/", 0755);
            mkdir("./uploads/".$this->input->post('alterdata')."/_lixo/", 0755);

            // cria estrutura de recibo para os clientes do profissional 

            $query = $this->db->query('SELECT LAST_INSERT_ID()');
            $row = $query->row_array();
            $LastIdInserted = $row['LAST_INSERT_ID()'];

            $data2['recibo_num']  =  '0';
            $data2['client']      =   $LastIdInserted ;
            $this->db->insert('recibo_n', $data2);

            // cria estrutura de notas para as empresas

            $data3['nfs_num']  =  '0';
            $data3['cliente']      =   $LastIdInserted ;
            $this->db->insert('nfs_n', $data3);


            $this->session->set_flashdata('flash_message', 'Cliente adicionado com sucesso!!!');


            //envia email
            //$this->email_model->abertura_de_conta('client', $data['email']);
            //$this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cnpj_cpf']        = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
            $data['pj_pf']           = $this->input->post('pj_pf');
            $data['alterdata']       = $this->input->post('alterdata');
            $data['name']            = $this->input->post('name');
            $data['store']           = $this->input->post('store');
            $data['email']           = $this->input->post('email');
            $data['password']        = $this->input->post('password');
            $data['alt_date']        = $this->input->post('alt_date');
            $data['about']           = $this->input->post('about');
            $data['ie']              = $this->input->post('ie');
            $data['cmc']             = $this->input->post('cmc');
            $data['address']         = $this->input->post('address');
            $data['addr_n']          = $this->input->post('addr_n');
            $data['addr_comp']       = $this->input->post('addr_comp');
            $data['addr_bairro']     = $this->input->post('addr_bairro');
            $data['addr_cidade']     = $this->input->post('addr_cidade');
            $data['addr_estado']     = $this->input->post('addr_estado');
            $data['addr_cep']        = $this->input->post('addr_cep');
            $data['addr_pais']       = $this->input->post('addr_pais');
            $data['ddd_phone']       = $this->input->post('ddd_phone');
            $data['phone']           = $this->input->post('phone');
            $data['group']           = $this->input->post('group');
            $data['contact']         = $this->input->post('contact');
            $data['contact_email']   = $this->input->post('contact_email');
            $data['qtde_socios']     = $this->input->post('qtde_socios');
            $data['usa_dp']          = $this->input->post('usa_dp');
            $this->db->where('client_id', $param2);
            $this->db->update('client', $data);
            redirect(base_url() . 'index.php?admin/client/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']  = true;
            $page_data['current_client_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client', array(
                'client_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $destino = $this->db->get_where('client' , array('client_id' => $param2))->row()->alterdata ;

            rename('./uploads/'.$destino,'./uploads/_lixo/'.$destino);

            $this->db->where('client_id', $param2);
            $this->db->delete('client');
            redirect(base_url() . 'index.php?admin/client/', 'refresh');


        }
        if ($param1 == 'upload_file_alterdata') {

        $Xfile = './uploads/import/'.strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

        move_uploaded_file($_FILES['file']['tmp_name'],$Xfile);
        $this->session->set_flashdata('XimportFile', $Xfile);
        //$this->session->set_userdata('XimportFile') = $Xfile;
        //print_r($Xfile);
        redirect(base_url() . 'index.php?admin/client/', 'refresh');

        }

        if ($param1 == 'envio_email_boas_vindas') {

            //envia email
            $this->email_model->abertura_de_conta('client', $data['email']);
            $this->email_model->abertura_de_conta_confirma_cadastro('client',$data['name'],$data['cnpj_cpf'], $data['email']);

            $this->session->set_flashdata('flash_message', 'Email enviado com sucesso!!!');

            redirect(base_url() . 'index.php?admin/client/', 'refresh');

        }

        $page_data['client']     = $this->db->get('client')->result_array();
        $page_data['page_name']  = 'client';
        $page_data['page_icon'] = 'user';
        $page_data['page_title'] = 'Clientes';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE*****/

/**** Gestão CLIENTE SÓCIOS*****/
    function client_socio($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            //$data['cnpj_cpf']        = str_replace(str_replace(str_replace($this->input->post('cnpj_cpf'),'.',''),'/',''),'-','');

           // if ($this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->qtde_socios <= ($this->input->post('qtde_socio'))) {

                $data['client']           = $this->input->post('client');
                $data['cnpj_cpf']         = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
                $data['pj_pf']            = $this->input->post('pj_pf');
                $data['email']            = $this->input->post('email');
                $data['name']             = strtoupper($this->input->post('name'));
                $data['creation_date']    = $this->input->post('creation_date');
                $data['alt_date']         = $this->input->post('alt_date');
                $data['cota']             = $this->input->post('cota');
                $data['administrador']    = $this->input->post('administrador');
                $data['resp_cnpj']        = $this->input->post('resp_cnpj');
                $data['tem_pl']           = $this->input->post('tem_pl');
                $data['pl_valor']         = $this->input->post('pl_valor');
                $data['ddd_phone']        = $this->input->post('ddd_phone');
                $data['phone']            = $this->input->post('phone');
                $data['contact']          = $this->input->post('contact');

                $this->db->insert('client_socio', $data);

                $this->session->set_flashdata('flash_message', 'Sócio Incluído!');

                redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');
           //   }
            //  else
            //    {
            //    $this->session->set_flashdata('flash_message', 'Quantidade de Sócios Maior que a Informada no cadastro! Favor Verificar...');

            //    redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');
            //    }
        }
        if ($param1 == 'do_update') {
            $data['client']           = $this->input->post('client');
            $data['cnpj_cpf']         = str_replace('/','',str_replace('.','',str_replace('-','',$this->input->post('cnpj_cpf'))));
            $data['pj_pf']            = $this->input->post('pj_pf');
            $data['email']            = $this->input->post('email');
            $data['name']             = strtoupper($this->input->post('name'));
            $data['alt_date']         = $this->input->post('alt_date');
            $data['cota']             = $this->input->post('cota');
            $data['administrador']    = $this->input->post('administrador');
            $data['resp_cnpj']        = $this->input->post('resp_cnpj');
            $data['tem_pl']           = $this->input->post('tem_pl');
            $data['pl_valor']         = $this->input->post('pl_valor');
            $data['ddd_phone']        = $this->input->post('ddd_phone');
            $data['phone']            = $this->input->post('phone');
            $data['contact']          = $this->input->post('contact');

            $this->db->where('client_socio_id', $param2);
            $this->db->update('client_socio', $data);

            $this->session->set_flashdata('flash_message', 'Sócio Atualizado!');

            redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']  = true;
            $page_data['current_client_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('client_socio', array(
                'client_socio_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            //$destino = $this->db->get_where('client_socio' , array('client_socio_id' => $param2))->row()->alterdata ;

            //rename('./uploads/'.$destino,'./uploads/_lixo/'.$destino);

            $this->db->where('client_socio_id', $param2);
            $this->db->delete('client_socio');
            redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');


        }
        if ($param1 == 'upload_file_alterdata') {

        $Xfile = './uploads/import/'.strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

        move_uploaded_file($_FILES['file']['tmp_name'],$Xfile);
        $this->session->set_flashdata('XimportFile', $Xfile);
        //$this->session->set_userdata('XimportFile') = $Xfile;
        //print_r($Xfile);
        redirect(base_url() . 'index.php?admin/client_socio/', 'refresh');

        }

        $page_data['client_socio']      = $this->db->get('client_socio')->result_array();
        $page_data['page_name']         = 'client_socio';
        $page_data['page_icon']         = 'user';
        $page_data['page_title']        = 'Clientes Sócio';
        $this->load->view('index', $page_data);
    }
/**** FIM - Gestão CLIENTE SÓCIOS*****/


/**** Gestão GRUPO *****/
    function group($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['name']  = $this->input->post('name');
            $data['about'] = $this->input->post('about');
            $this->db->insert('group', $data);
            redirect(base_url() . 'index.php?admin/group/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['name']  = $this->input->post('name');
            $data['about'] = $this->input->post('about');
            $this->db->where('group_id', $param2);
            $this->db->update('group', $data);
            redirect(base_url() . 'index.php?admin/group/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_group_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('group', array(
                'group_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('group_id', $param2);
            $this->db->delete('group');
            redirect(base_url() . 'index.php?admin/group/', 'refresh');
        }
        $page_data['group']      = $this->db->get('group')->result_array();
        $page_data['page_name']  = 'group';
        $page_data['page_icon']  = 'group';
        $page_data['page_title'] = 'Grupos de Usu&aacute;rios';
        $this->load->view('index', $page_data);
    }


    /****MANAGE invoice*****/
    function invoice($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['client']        = $this->input->post('client');
            $data['order']         = $this->input->post('order');
            $data['total_amount']  = $this->input->post('total_amount');
            $data['main_amount']   = $this->input->post('main_amount');
            $data['tax_rate']      = $this->input->post('tax_rate');
            $data['shipping_cost'] = $this->input->post('shipping_cost');
            $data['note']          = $this->input->post('note');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $data['due_date']      = $this->input->post('due_date');
            $data['name']          = $this->input->post('name');
            $data['tax_amount']    = $this->input->post('tax_amount');
            $this->db->insert('invoice', $data);
            redirect(base_url() . 'index.php?admin/invoice/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['client']        = $this->input->post('client');
            $data['order']         = $this->input->post('order');
            $data['total_amount']  = $this->input->post('total_amount');
            $data['main_amount']   = $this->input->post('main_amount');
            $data['tax_rate']      = $this->input->post('tax_rate');
            $data['shipping_cost'] = $this->input->post('shipping_cost');
            $data['note']          = $this->input->post('note');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $data['due_date']      = $this->input->post('due_date');
            $data['name']          = $this->input->post('name');
            $data['tax_amount']    = $this->input->post('tax_amount');
            $this->db->where('invoice_id', $param2);
            $this->db->update('invoice', $data);
            redirect(base_url() . 'index.php?admin/invoice/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_invoice_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('invoice', array(
                'invoice_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('invoice_id', $param2);
            $this->db->delete('invoice');
            redirect(base_url() . 'index.php?admin/invoice/', 'refresh');
        }
        $page_data['invoice']    = $this->db->get('invoice')->result_array();
        $page_data['page_name']  = 'invoice';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'manage_invoice';
        $this->load->view('index', $page_data);
    }


    /****MANAGE message*****/
    function message($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = 'aberto';
            $this->db->insert('message', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;
            $Xreceiver      = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->name;
            $Xrec_email     = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->email;

            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$Xreceiver,$Xrec_email,$this->input->post('subject'),$this->input->post('body'));

            redirect(base_url() . 'index.php?admin/message/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');

            $this->db->insert('message', $data);
            redirect(base_url() . 'index.php?admin/message/', 'refresh');



        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_message_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('message', array(
                'message_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('message_id', $param2);
            $this->db->delete('message');
            redirect(base_url() . 'index.php?admin/message/', 'refresh');
        }
        $page_data['message']    = $this->db->get('message')->result_array();
        $page_data['page_name']  = 'message';
        $page_data['page_icon']  = 'envelope';
        $page_data['page_title'] = 'Mensagens';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Note ( anotações )*****/
    function note($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = $this->input->post('body');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = 'aberto';
            $this->db->insert('note', $data);

            // Envio Email
            $Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;
            $Xreceiver      = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->name;
            $Xrec_email     = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->email;

            $this->email_model->envia_email_mensagem_anotacao($Xsender,$Xsend_email,$Xreceiver,$Xrec_email,$this->input->post('subject'),$this->input->post('body'));

            $this->session->set_flashdata('flash_message', 'Chamado Aberto!');
            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        if ($param1 == 'do_reply') {

            $data['sender']        = $this->input->post('sender');
            $data['sender_type']   = $this->input->post('sender_type');
            $data['receiver']      = $this->input->post('receiver');
            $data['receiver_type'] = $this->input->post('receiver_type');
            $data['subject']       = $this->input->post('subject');
            $data['body']          = '----- MENSAGEM ANTERIOR -----<br>Usuário:'.$this->db->get_where('client', array('client_id' => $this->input->post('sender')))->row()->name.
                                      '<br> Email: '.$this->db->get_where('client', array('client_id' => $row['sender']))->row()->email.
                                      '<br> Data: '.date('d/m/Y', strtotime($this->input->post('date'))).' as '.$this->input->post('time').
                                      '<br> Mensagem: '.$this->input->post('body').'<br>'.$this->input->post('body_add');
            $data['time']          = $this->input->post('time');
            $data['date']          = $this->input->post('date');
            $data['status']        = $this->input->post('status');
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);


            // Envio Email
            $Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            $Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;
            $Xreceiver      = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->name;
            $Xrec_email     = $this->db->get_where('admin', array('admin_id' => $this->input->post('receiver')))->row()->email;

            //$this->email_model->envia_email_mensagem_anotacao($Xsender,$Xsend_email,$Xreceiver,$Xrec_email,$this->input->post('subject'),$this->input->post('body'));
            $this->session->set_flashdata('flash_message', 'Anotação Atualizada!');

            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        if ($param1 == 'do_update') {
            $data['status']         = 'finalizado';
            //$data['dt_conclusao']   = 'concluido';
            //$data['user_conclusao']   = 'concluido';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_note_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('note', array(
                'note_id' => $param2
            ))->result_array();
        }

        if ($param1 == 'delete') {
            $this->db->where('note_id', $param2);
            $this->db->delete('note');
            redirect(base_url() . 'index.php?admin/note/', 'refresh');
        }
        if ($param1 == 'update_finalizar') {

            $data['status']      = 'finalizado';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        if ($param1 == 'update_cancelar') {

            $data['status']      = 'cancelar';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');

        }
        $page_data['message']    = $this->db->get('note')->result_array();
        $page_data['page_name']  = 'note';
        $page_data['page_icon']  = 'comment';
        $page_data['page_title'] = 'Anotações/Chamados';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Financeiro ( baixa boleto )*****/
    function financeiro($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'do_update') {
            $data['status']         = 'finalizado';
            //$data['dt_conclusao']   = 'concluido';
            //$data['user_conclusao']   = 'concluido';
            $this->db->where('note_id', $param2);
            $this->db->update('note', $data);
            redirect(base_url() . 'index.php?admin/note/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_note_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }

        if ($param1 == 'delete') {
            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            redirect(base_url() . 'index.php?admin/financeiro/', 'refresh');
        }
        if ($param1 == 'update_finalizar') {

            $data['data_alt']    = (date('Y-m-d'));
            $data['status']      = 'pago';
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/financeiro/', 'refresh');

        }
        if ($param1 == 'update_cancelar') {

            $data['status']      = 'cancelado';
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/financeiro/', 'refresh');

        }
        $page_data['message']    = $this->db->get_where('files', array('product' => '60'))->result_array();
        $page_data['page_name']  = 'financeiro';
        $page_data['page_icon']  = 'briefcase';
        $page_data['page_title'] = 'Controle Financeiro';
        $this->load->view('index', $page_data);
    }

    /****MANAGE order*****/
    function order($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['total_price'] = $this->input->post('total_price');
            $data['date']        = $this->input->post('date');
            //$data['rate']        = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('order', $data);
            redirect(base_url() . 'index.php?admin/order/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['total_price'] = $this->input->post('total_price');
            $data['date']        = $this->input->post('date');
            //$data['rate']        = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('order_id', $param2);
            $this->db->update('order', $data);
            redirect(base_url() . 'index.php?admin/order/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_order_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('order', array(
                'order_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('order_id', $param2);
            $this->db->delete('order');
            redirect(base_url() . 'index.php?admin/order/', 'refresh');
        }
        $page_data['order']      = $this->db->get('order')->result_array();
        $page_data['page_name']  = 'order';
        $page_data['page_icon']  = 'tasks';
        $page_data['page_title'] = 'manage_order';
        $this->load->view('index', $page_data);
    }


/**** BLOCO  - Files |-> file

    Files || Files
    Lançar || file_lancar
    Consultar || file_consultar
    Consultar dados Cliente || file_consultar_cli
    Consultar XML || file_consultar_xml

*****/

    /****MANAGE FILES*****/
    function files($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/files/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/files/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            /*
            $deleta = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
            
            $caminhoArquivo = $deleta['path'];

            if (unlink($caminhoParaFicheiro)) {
                  $this->db->where('file_id', $param2);
                  $this->db->delete('files');
                  $this->session->set_flashdata('flash_message', 'Arquivo_Excluído!!');
            }
            else {
                 $this->session->set_flashdata('flash_message', 'Não Foi possivel Apagar o Arquivo!');
            }
            */


        }
        if ($param1 == 'upload_info') {

            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path').$this->input->post('client').$this->input->post('description').'_'.$Xrand.'_'.$XnovoNome;
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('client').$this->input->post('description').'_'.$Xrand.'_'.$XnovoNome);
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado');

            redirect(base_url() . 'index.php?admin/files/', 'refresh');
        }

        $page_data['files']      = $this->db->get('w_files')->result_array();
        $page_data['page_name']  = 'files';
        $page_data['page_icon']  = 'folder-open';
        $page_data['page_title'] = 'Gestão de Arquivos';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_lancar ****/
    function file_lancar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['file']      = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->insert('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['file']        = $this->input->post('file');
            $data['path']        = $this->input->post('path');
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['ind_up']      = $this->input->post('ind_up');
            //$data['rate']      = $this->input->post('rate');
            $data['status']      = $this->input->post('status');
            $this->db->where('file_id', $param2);
            $this->db->update('files', $data);
            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_file_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('files', array(
                'file_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('files', array('file_id' => $param2))->result_array();
            //print_r($Xdados);

            foreach($Xdados as $row):
              $origem   = $row['path'];
              $cliente  = $row['client'];
              $destino  = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/cob/','/_lixo/', $destino);
            $destino =  str_replace('/doc_cad/','/_lixo/', $destino);
            $destino =  str_replace('/doc_extra/','/_lixo/', $destino);
            $destino =  str_replace('/doc_fis/','/_lixo/', $destino);
            $destino =  str_replace('/guias/','/_lixo/', $destino);
            $destino =  str_replace('/mov/','/_lixo/', $destino);
            $destino =  str_replace('/rel/','/_lixo/', $destino);
            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            //rename($destino,$destino.'_'.$this->session->userdata('admin_id'));

            //print_r($destino);


            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $cliente;
            $log['path']         = $destino;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------


            $this->db->where('file_id', $param2);
            $this->db->delete('files');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');
            redirect(base_url() . 'index.php?admin/file_consultar/', 'refresh');
        }
        if ($param1 == 'upload_info') {

            $Xdescription = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row('description');
            //print_r($Xdescription);
            $Xalterdata = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row('alterdata');
            //print_r($Xalterdata);

            if ($this->input->post('product_id') == '60')
              {
                  $XStatus = 'a pagar';
              }
              else {
                    $XStatus = $this->input->post('status');
                   }


            $Xrand =  mt_rand();

            $XnovoNome = strtolower($this->caracter_model->t5f_translit($_FILES['file']['name']));

            $data['file']        = $this->input->post('file');
            $data['path']        = ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome);
            $data['client']      = $this->input->post('client');
            $data['product']     = $this->input->post('product_id');
            $data['desc_file']   = $this->input->post('file');
            $data['quantity']    = $this->input->post('quantity');
            $data['valor']       = $this->input->post('valor');
            $data['date']        = $this->input->post('date');
            $data['data_venc']   = $this->input->post('data_venc');
            $data['ind_up']      = $this->input->post('ind_up');
            $data['status']      = $XStatus;
            $this->db->insert('files', $data);

            move_uploaded_file($_FILES['file']['tmp_name'], ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome));
            $this->session->set_flashdata('flash_message', 'Arquivo Enviado!!');

            // Envio Email
            $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
            $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
            $Xtipo_arquivo  = $this->db->get_where('product', array('product_id' => $this->input->post('product_id')))->row()->name;
            $Xarquivo       = ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome);

            $this->email_model->envia_email_postagem($Xcontato, $Xemail, $Xtipo_arquivo,$Xarquivo);

            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->input->post('client');
            $log['path']         = ($this->input->post('path').$Xalterdata.$Xdescription.$this->input->post('client').'_'.$Xrand.'_'.$XnovoNome);
            $format = 'DATE_W3C';
            $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'postagem';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            redirect(base_url() . 'index.php?admin/file_lancar/', 'refresh');
        }

        $page_data['files']      = $this->db->get('w_files')->result_array();
        $page_data['page_name']  = 'file_lancar';
        $page_data['page_icon']  = 'folder-close';
        $page_data['page_title'] = 'Gestão de Arquivos - Lançar Arquivos';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_consultar ****/
    function file_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get('files')->result_array();
        $page_data['page_name']  = 'file_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_consultar_cli ****/
    function file_consultar_cli($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get('files')->result_array();
        $page_data['page_name']  = 'file_consultar_cli';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar Env. Clientes';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_consultar_ex_cli ****/
    function file_consultar_ex_cli($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      = $this->db->get('w_files_extra')->result_array();
        $page_data['page_name']  = 'file_consultar_ex_cli';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gest&atilde;o de Arquivos - Consultar Env. Clientes Arquivos Extra';
        $this->load->view('index', $page_data);
    }

    /**** FILES |-> file_consultar_xml ****/
    function file_consultar_xml($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'delete') {

            $Xdados = $this->db->get_where('xmls', array('xml_id' => $param2))->result_array();
             //print_r($Xdados);

            foreach($Xdados as $row):
            $origem = $row['path'];
            $destino = $origem;
            endforeach;
            //print_r($origem);

            $destino =  str_replace('/xml/','/_lixo/', $destino);
            //print_r($destino);

            copy($origem, $destino);
            unlink($origem);

            // Geração do Log   ------------------------------------------------
            $log['admin']        = $this->session->userdata('admin_id');
            $log['client']       = $this->db->get_where('xmls', array('xml_id' => $param2))->row()->client;
            $log['path']         = $destino;
                $format = 'DATE_W3C';
                $time = time();
            $log['date']         = standard_date($format, $time) ;
            $log['tipo']         = 'deleted';
            $this->db->insert('log', $log);
            // FIM - Geração do Log   ------------------------------------------

            $this->db->where('xml_id', $param2);
            $this->db->delete('xmls');
            $this->session->set_flashdata('flash_message', 'Arquivo Deletado!');

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');

            $this->session->set_flashdata('XFiltro', $XFiltro);

            redirect(base_url() . 'index.php?admin/file_consultar_xml/', 'refresh');
        }

        $page_data['xmls']      = $this->db->get('w_xmls')->result_array();
        $page_data['page_name']  = 'file_consultar_xml';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Gestão de Arquivos - Consultar XML do Cliente';
        $this->load->view('index', $page_data);
    }

/**** FIM - BLOCO  -    FILES    *****/

     /**** MOV |-> Movimentações  -  Recibos Consultar****/
    function mov_recibos_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['rec']        =  $this->db->get_where('recibo', array('client' => ''))->result_array();
        $page_data['page_name']  = 'mov_recibos_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'Recibo - Consultar Recibos';
        $this->load->view('index', $page_data);
    }

      /**** MOV |-> Movimentações  -  consultar ****/
    function mov_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/mov_consultar/', 'refresh');
        }
        if ($param1 == 'historico') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltro = $this->input->post('data_ano').'-'.$this->input->post('data_mes');
            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltro', $XFiltro);
            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/mov_consultar/', 'refresh');
        }

        $page_data['files']      =  $this->db->get_where('files', array('product' => "9"))->result_array();
        $page_data['page_name']  = 'mov_consultar';
        $page_data['page_icon'] = 'search';
        $page_data['page_title'] = 'Consultar Movimentos';
        $this->load->view('index', $page_data);
    }

      /**** LOG |-> Acesso Consultar****/
    function log_acesso_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['log']        =  $this->db->get('w_log_acesso')->result_array();
        $page_data['page_name']  = 'log_acesso_consultar';
        $page_data['page_icon']  = 'search';
        $page_data['page_title'] = 'LOGs - Acesso';
        $this->load->view('index', $page_data);
    }

      /**** LOG |-> SISTEMA Consultar ****/
    function log_sistema_consultar($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['log']       =  $this->db->get('w_log')->result_array();
        $page_data['page_name']   = 'log_sistema_consultar';
        $page_data['page_icon']   = 'search';
        $page_data['page_title']  = 'LOGs - Sistema';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Departamento Pessoal*/
    function dp_funcionarios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {

            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = $this->input->post('dt_criacao');
            $data['dt_alteracao']           = $this->input->post('dt_alteracao');
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = str_replace('-','',$this->input->post('tel'));
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = str_replace('-','',$this->input->post('cel'));
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = str_replace('.','',str_replace('-','',$this->input->post('end_cep')));
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = $this->input->post('dt_admissao');
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = $this->input->post('dt_atestado');
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = str_replace(',','.',$this->input->post('salario'));
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo');
            $data['cpf']                    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = $this->input->post('dic_dt_exped');
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = $this->input->post('ctps_dt_emissao');
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = $this->input->post('pis_dt_emissao');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = $this->input->post('cnh_dt_exp');
            $data['cnh_dt_venc']            = $this->input->post('cnh_dt_venc');
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = $this->input->post('cnh_dt_venc');
            $data['cnh_dt_pri']             = $this->input->post('cnh_dt_pri');
            $data['cnh_dt_venc']            = $this->input->post('cnh_dt_venc');
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = $this->input->post('cr_dt_emissao');
            $data['cr_dt_validade']         = $this->input->post('cr_dt_validade');
            $data['vl']                     = str_replace(',','.',$this->input->post('vl'));
            $data['vl_uni']                 = str_replace(',','.',$this->input->post('vl_uni'));
            $data['vl_qtde_dia']            = str_replace(',','.',$this->input->post('vl_qtde_dia'));
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['obs']                    = $this->input->post('obs');

            $this->db->insert('dp_funcionario', $data);

            // Envio Email
            //$Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;

            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));

            //Upload Identidade / CNH:

            $Xrand =  mt_rand();

            if ( !empty($_FILES['userfile']['name'][1])){

                $XnovoNome_1 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][1]));

                $data_f1['dp_arquivo']     = $_FILES['userfile']['name'][1];
                $data_f1['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1;
                //$data_f1['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f1['cliente']        = $this->input->post('cliente');
                $data_f1['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f1['produto']        = $this->input->post('product');
                //$data_f1['desc_file']    = $_FILES['file']['name'];
                $data_f1['desc_arquivo']   = 'Identidade ou CNH do Funcionário: '.$this->input->post('nome');
                $data_f1['quantidade']     = $this->input->post('quantity');
                $data_f1['valor']          = $this->input->post('valor');
                $data_f1['data']           = $this->input->post('date');
                $data_f1['data_venc']      = $this->input->post('date');
                $data_f1['ind_up']         = $this->input->post('ind_up');
                $data_f1['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f1);

                move_uploaded_file($_FILES['userfile']['tmp_name'][1], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_1);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', get_phrase('Funcionário Cadastrado... Arquivos Enviados'));

                /* enviar email de cadastro de funcionário
                $Xcontato       = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->contact;
                $Xemail         = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->email;
                $Xnome_empresa  = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->name;
                $Xtel           = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->ddd_phone.' '.$this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->phone;
                $Xdocumento     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->cnpj_cpf;
                $Xalterdata     = $this->db->get_where('client', array('client_id' => $this->input->post('client')))->row()->alterdata;
                $Xdesc_arquivo  = $this->input->post('desc_file');
                $Xarquivo       = ($this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome);

                $this->email_model->envia_email_postagem_cliente($Xcontato,$Xemail,$Xnome_empresa,$Xarquivo,$Xdesc_arquivo,$Xtel,$Xdocumento,$Xalterdata);
                */

            }  else
            {
                $this->session->set_flashdata('flash_message', get_phrase('Arquivo Não Enviado, favor adicionar um arquivo para Identidade ou CNH do Funcionário!'));
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Frente (CTPS)
            if ( !empty($_FILES['userfile']['name'][2])){

                $XnovoNome_2 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][2]));

                $data_f2['dp_arquivo']     = $_FILES['userfile']['name'][2];
                $data_f2['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2;
                //$data_f2['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f2['cliente']        = $this->input->post('cliente');
                $data_f2['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f2['produto']        = $this->input->post('product');
                //$data_f2['desc_file']    = $_FILES['file']['name'];
                $data_f2['desc_arquivo']   = 'CTPS (frente) do funcionário: '.$this->input->post('nome');
                $data_f2['quantidade']     = $this->input->post('quantity');
                $data_f2['valor']          = $this->input->post('valor');
                $data_f2['data']           = $this->input->post('date');
                $data_f2['data_venc']      = $this->input->post('date');
                $data_f2['ind_up']         = $this->input->post('ind_up');
                $data_f2['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f2);

                move_uploaded_file($_FILES['userfile']['tmp_name'][2], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_2);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', get_phrase('Funcionário Cadastrado... Arquivos Enviados'));

            }  else
            {
                $this->session->set_flashdata('flash_message', get_phrase('Arquivo Não Enviado, favor adicionar um arquivo de CTPS (frente) do funcionário!'));
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][3])){

                $XnovoNome_3 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][3]));

                $data_f3['dp_arquivo']     = $_FILES['userfile']['name'][3];
                $data_f3['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3;
                //$data_f3['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f3['cliente']        = $this->input->post('cliente');
                $data_f3['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f3['produto']        = $this->input->post('product');
                //$data_f3['desc_file']    = $_FILES['file']['name'];
                $data_f3['desc_arquivo']   = 'CTPS (verso) do funcionário: '.$this->input->post('nome');
                $data_f3['quantidade']     = $this->input->post('quantity');
                $data_f3['valor']          = $this->input->post('valor');
                $data_f3['data']           = $this->input->post('date');
                $data_f3['data_venc']      = $this->input->post('date');
                $data_f3['ind_up']         = $this->input->post('ind_up');
                $data_f3['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f3);

                move_uploaded_file($_FILES['userfile']['tmp_name'][3], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_3);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', get_phrase('Funcionário Cadastrado... Arquivos Enviados'));

            }  else
            {
                $this->session->set_flashdata('flash_message', get_phrase('Arquivo Não Enviado, favor adicionar um arquivo de CTPS (verso) do funcionário!'));
                //redirect(base_url() . 'index.php?client/dp_funcionarios/', 'refresh');
            }
            //  Upload - Carteira de Trabalho - Verso (CTPS)
            if ( !empty($_FILES['userfile']['name'][4])){

                $XnovoNome_4 = strtolower($this->caracter_model->t5f_translit($_FILES['userfile']['name'][4]));

                $data_f4['dp_arquivo']     = $_FILES['userfile']['name'][4];
                $data_f4['caminho']        = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4;
                //$data_f4['path']         = $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name'];
                $data_f4['cliente']        = $this->input->post('cliente');
                $data_f4['funcionario']    = str_replace('.','',str_replace('-','',$this->input->post('cpf')));
                $data_f4['produto']        = $this->input->post('product');
                //$data_f4['desc_file']    = $_FILES['file']['name'];
                $data_f4['desc_arquivo']   = 'CPF do Funcionário: '.$this->input->post('nome');
                $data_f4['quantidade']     = $this->input->post('quantity');
                $data_f4['valor']          = $this->input->post('valor');
                $data_f4['data']           = $this->input->post('date');
                $data_f4['data_venc']      = $this->input->post('date');
                $data_f4['ind_up']         = $this->input->post('ind_up');
                $data_f4['status']         = $this->input->post('status');
                $this->db->insert('dp_arquivo', $data_f4);

                move_uploaded_file($_FILES['userfile']['tmp_name'][4], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$XnovoNome_4);
                //move_uploaded_file($_FILES['file']['tmp_name'], $this->input->post('path').$this->input->post('alterdata').'_'.$Xrand.'_'.$_FILES['file']['name']);
                $this->session->set_flashdata('flash_message', get_phrase('Funcionário Cadastrado... Arquivos Enviados'));

            }
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['cliente']                = $this->input->post('cliente');
            $data['dt_criacao']             = $this->input->post('dt_criacao');
            $data['dt_alteracao']           = $this->input->post('dt_alteracao');
            $data['nome']                   = $this->input->post('nome');
            $data['ddd_tel']                = $this->input->post('ddd_tel');
            $data['tel']                    = $this->input->post('tel');
            $data['ddd_cel']                = $this->input->post('ddd_cel');
            $data['cel']                    = $this->input->post('cel');
            $data['email']                  = $this->input->post('email');
            $data['endereco']               = $this->input->post('endereco');
            $data['end_n']                  = $this->input->post('end_n');
            $data['end_comp']               = $this->input->post('end_comp');
            $data['end_bairro']             = $this->input->post('end_bairro');
            $data['end_cidade']             = $this->input->post('end_cidade');
            $data['end_uf']                 = $this->input->post('end_uf');
            $data['end_cep']                = $this->input->post('end_cep');
            $data['end_pais']               = $this->input->post('end_pais');
            $data['sexo']                   = $this->input->post('sexo');
            $data['estado_civil']           = $this->input->post('estado_civil');
            $data['cor_raca']               = $this->input->post('cor_raca');
            $data['nome_pai']               = $this->input->post('nome_pai');
            $data['nome_mae']               = $this->input->post('nome_mae');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['nasc_uf']                = $this->input->post('nasc_uf');
            $data['nasc_cidade']            = $this->input->post('nasc_cidade');
            $data['dt_admissao']            = $this->input->post('dt_admissao');
            $data['pri_trab']               = $this->input->post('pri_trab');
            $data['contrato_experiencia']   = $this->input->post('contrato_experiencia');
            $data['contrato_dias']          = $this->input->post('contrato_dias');
            $data['dt_atestado']            = $this->input->post('dt_atestado');
            $data['depto']                  = $this->input->post('depto');
            $data['funcao']                 = $this->input->post('funcao');
            $data['salario']                = $this->input->post('salario');
            $data['sindicato']              = $this->input->post('sindicato');
            $data['trab_hrs_entrada']       = $this->input->post('trab_hrs_entrada');
            $data['trab_hrs_saida']         = $this->input->post('trab_hrs_saida');
            $data['trab_hrs_intervalo']     = $this->input->post('trab_hrs_intervalo');
            $data['cpf']                    = $this->input->post('cpf');
            $data['dic']                    = $this->input->post('dic');
            $data['dic_uf']                 = $this->input->post('dic_uf');
            $data['dic_exped']              = $this->input->post('dic_exped');
            $data['dic_dt_exped']           = $this->input->post('dic_dt_exped');
            $data['ctps']                   = $this->input->post('ctps');
            $data['ctps_serie']             = $this->input->post('ctps_serie');
            $data['ctps_uf']                = $this->input->post('ctps_uf');
            $data['ctps_dt_emissao']        = $this->input->post('ctps_dt_emissao');
            $data['titulo_eleitor']         = $this->input->post('titulo_eleitor');
            $data['titulo_eleitor_zona']    = $this->input->post('titulo_eleitor_zona');
            $data['titulo_eleitor_secao']   = $this->input->post('titulo_eleitor_secao');
            $data['pis']                    = $this->input->post('pis');
            $data['pis_dt_emissao']         = $this->input->post('pis_dt_emissao');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cnh']                    = $this->input->post('cnh');
            $data['cnh_dt_exp']             = $this->input->post('cnh_dt_exp');
            $data['cnh_dt_venc']            = $this->input->post('cnh_dt_venc');
            $data['cnh_cat']                = $this->input->post('cnh_cat');
            $data['cnh_org_emissor']        = $this->input->post('cnh_org_emissor');
            $data['cnh_dt_venc']            = $this->input->post('cnh_dt_venc');
            $data['cnh_dt_pri']             = $this->input->post('cnh_dt_pri');
            $data['cnh_dt_venc']            = $this->input->post('cnh_dt_venc');
            $data['cr']                     = $this->input->post('cr');
            $data['cr_serie']               = $this->input->post('cr_serie');
            $data['cr_cat']                 = $this->input->post('cr_cat');
            $data['cr_reg_classe']          = $this->input->post('cr_reg_classe');
            $data['cr_org_emissor']         = $this->input->post('cr_org_emissor');
            $data['cr_dt_emissao']          = $this->input->post('cr_dt_emissao');
            $data['cr_dt_validade']         = $this->input->post('cr_dt_validade');
            $data['vl']                     = $this->input->post('vl');
            $data['vl_uni']                 = $this->input->post('vl_uni');
            $data['vl_qtde_dia']            = $this->input->post('vl_qtde_dia');
            $data['ferias_vencidas']        = $this->input->post('ferias_vencidas');
            $data['obs']                    = $this->input->post('obs');
            $this->db->insert('message', $data);
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_funcionario_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_funcionario', array(
                'dp_funcionario_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_funcionario_id', $param2);
            $this->db->delete('dp_funcionario');
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'consulta_cliente') {

            //echo $this->input->post('data_mes');
            //echo $this->input->post('data_ano');

            $XFiltroCli = $this->input->post('cliente');

            $this->session->set_flashdata('XFiltroCli', $XFiltroCli);

            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }

        
        $page_data['dp_funcionario']    = $this->db->get_where('dp_funcionario', array('cliente' => $this->session->userdata('client_id')))->result_array();
        $page_data['dp_dependente']     = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']         =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']         = 'dp_funcionarios';
        $page_data['page_icon']         = 'plus';
        $page_data['page_title']        = 'Cadastro de Funcionário';
        $this->load->view('index', $page_data);
    }

    /****MANAGE Dependentes*****/
    function dp_dependente($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = $this->input->post('cpf');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');

            $this->db->insert('dp_dependente', $data);

            // Envio Email
            //$Xsender        = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->name;
            //$Xsend_email    = $this->db->get_where('admin', array('admin_id' => $this->input->post('sender')))->row()->email;

            //$this->email_model->envia_email_mensagem_cliente($Xsender,$Xsend_email,$this->input->post('subject'),$this->input->post('body'));


            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['dp_funcionario']         = $this->input->post('dp_funcionario');
            $data['cliente']                = $this->input->post('cliente');
            $data['nome']                   = $this->input->post('nome');
            $data['tipo_rel']               = $this->input->post('tipo_rel');
            $data['sexo']                   = $this->input->post('sexo');
            $data['cpf']                    = $this->input->post('cpf');
            $data['dt_nasc']                = $this->input->post('dt_nasc');
            $data['cert_nasc_cidade']       = $this->input->post('cert_nasc_cidade');
            $data['cert_nasc_uf']           = $this->input->post('cert_nasc_uf');
            $data['cert_nasc']              = $this->input->post('cert_nasc');
            $data['cert_nasc_dt_emissao']   = $this->input->post('cert_nasc_dt_emissao');
            $data['cert_nasc_termo']        = $this->input->post('cert_nasc_termo');
            $data['cert_nasc_livro']        = $this->input->post('cert_nasc_livro');
            $data['cert_nasc_folha']        = $this->input->post('cert_nasc_folha');
            $data['cert_nasc_cartorio']     = $this->input->post('cert_nasc_cartorio');
            $data['situacao_dependente']    = $this->input->post('situacao_dependente');
            $this->db->insert('dp_dependente', $data);

            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');

        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_dp_dependente_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('dp_dependente', array(
                'dp_dependente_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('dp_dependente_id', $param2);
            $this->db->delete('dp_dependente');
            redirect(base_url() . 'index.php?admin/dp_funcionarios/', 'refresh');
        }
        $page_data['dependente']    = $this->db->get_where('dp_dependente', array('cliente' => $this->session->userdata('client_id')))->result_array();
        //$page_data['message']    =  $this->db->get_where('message', array('sender' => $this->session->userdata('client_id')))->result_array();
        $page_data['page_name']     = 'dependentes';
        $page_data['page_icon']     = 'plus';
        $page_data['page_title']    = 'Dependentes';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_guias****/
    function dp_guias($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_guias';
        $page_data['page_icon']  = 'calendar';
        $page_data['page_title'] = 'Guias - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_controles****/
    function dp_controles($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_controles';
        $page_data['page_icon']  = 'cog';
        $page_data['page_title'] = 'Controles - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }
    /**** Departamento Pessoal |-> dp_relatorios****/
    function dp_relatorios($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');

        $page_data['files']      =  $this->db->get_where('files', array('product' => '10'))->result_array();
        $page_data['page_name']  = 'dp_relatorios';
        $page_data['page_icon']  = 'print';
        $page_data['page_title'] = 'Relatórios - Departamento Pessoal';
        $this->load->view('index', $page_data);
    }

    /****MANAGE product*****/
    function product($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['product_id']       = $this->input->post('product_id');
            $data['category']         = $this->input->post('category');
            $data['product']          = $this->input->post('name');
            $data['name']             = $this->input->post('name');
            $data['type']             = $this->input->post('type');
            $data['description']      = $this->input->post('description');
            $data['creation_date']    = $this->input->post('creation_date');
            $data['quantity']         = $this->input->post('quantity');
            $data['alt_date']         = $this->input->post('alt_date');
            $data['price']            = $this->input->post('price');
            $data['inativo']          = $this->input->post('inativo');

            $this->db->insert('product', $data);
            redirect(base_url() . 'index.php?admin/product/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['product_id']       = $this->input->post('product_id');
            $data['category']         = $this->input->post('category');
            $data['product']          = $this->input->post('name');
            $data['name']             = $this->input->post('name');
            $data['type']             = $this->input->post('type');
            $data['description']      = $this->input->post('description');
            $data['creation_date']    = $this->input->post('creation_date');
            $data['quantity']         = $this->input->post('quantity');
            $data['alt_date']         = $this->input->post('alt_date');
            $data['price']            = $this->input->post('price');
            $data['inativo']          = $this->input->post('inativo');

            $this->db->where('product_id', $param2);
            $this->db->update('product', $data);
            redirect(base_url() . 'index.php?admin/product/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']   = true;
            $page_data['current_product_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('product', array(
                'product_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('product_id', $param2);
            $this->db->delete('product');
            redirect(base_url() . 'index.php?admin/product/', 'refresh');
        }
        $page_data['product']    = $this->db->get('product')->result_array();
        $page_data['page_name']  = 'product';
        $page_data['page_icon']  = 'file';
        $page_data['page_title'] = 'Tipos de documentos / Menus';
        $this->load->view('index', $page_data);
    }

    /****MANAGE transaction*****/
    function transaction($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['amount'] = $this->input->post('amount');
            $data['type']   = $this->input->post('type');
            $data['order']  = $this->input->post('order');
            $data['about']  = $this->input->post('about');
            $data['date']   = $this->input->post('date');
            $this->db->insert('transaction', $data);
            redirect(base_url() . 'index.php?admin/transaction/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['amount'] = $this->input->post('amount');
            $data['type']   = $this->input->post('type');
            $data['order']  = $this->input->post('order');
            $data['about']  = $this->input->post('about');
            $data['date']   = $this->input->post('date');
            $this->db->where('transaction_id', $param2);
            $this->db->update('transaction', $data);
            redirect(base_url() . 'index.php?admin/transaction/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile']       = true;
            $page_data['current_transaction_id'] = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('transaction', array(
                'transaction_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('transaction_id', $param2);
            $this->db->delete('transaction');
            redirect(base_url() . 'index.php?admin/transaction/', 'refresh');
        }
        $page_data['transaction'] = $this->db->get('transaction')->result_array();
        $page_data['page_name']   = 'transaction';
        $page_data['page_icon']   = 'random';
        $page_data['page_title']  = 'manage_transaction';
        $this->load->view('index', $page_data);
    }

    /****MANAGE type*****/
    function type($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url(), 'refresh');
        if ($param1 == 'create') {
            $data['name']     = $this->input->post('name');
            $data['category'] = $this->input->post('category');
            $data['about']    = $this->input->post('about');
            $this->db->insert('type', $data);
            redirect(base_url() . 'index.php?admin/type/', 'refresh');
        }
        if ($param1 == 'do_update') {
            $data['name']     = $this->input->post('name');
            $data['category'] = $this->input->post('category');
            $data['about']    = $this->input->post('about');
            $this->db->where('type_id', $param2);
            $this->db->update('type', $data);
            redirect(base_url() . 'index.php?admin/type/', 'refresh');
        } else if ($param1 == 'personal_profile') {
            $page_data['personal_profile'] = true;
            $page_data['current_type_id']  = $param2;
        } else if ($param1 == 'edit') {
            $page_data['edit_data'] = $this->db->get_where('type', array(
                'type_id' => $param2
            ))->result_array();
        }
        if ($param1 == 'delete') {
            $this->db->where('type_id', $param2);
            $this->db->delete('type');
            redirect(base_url() . 'index.php?admin/type/', 'refresh');
        }
        $page_data['type']       = $this->db->get('type')->result_array();
        $page_data['page_name']  = 'type';
        $page_data['page_icon']  = 'th';
        $page_data['page_title'] = 'Tipos';
        $this->load->view('index', $page_data);
    }

    /*****SITE/SYSTEM SETTINGS*********/
    function system_settings($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');

        if ($param2 == 'do_update') {
            $this->db->where('type', $param1);
            $this->db->update('settings', array(
                'description' => $this->input->post('description')
            ));
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/system_settings/', 'refresh');
        }
        if ($param1 == 'upload_logo') {
            move_uploaded_file($_FILES['userfile']['tmp_name'], 'uploads/logo.png');
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/system_settings/', 'refresh');
        }
        $page_data['page_name']  = 'system_settings';
        $page_data['page_icon'] = 'cog';
        $page_data['page_title'] = 'Configurações do sistema';
        $page_data['settings']   = $this->db->get('settings')->result_array();
        $this->load->view('index', $page_data);
    }

    /*****LANGUAGE SETTINGS*********/
    function manage_language($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');

        if ($param1 == 'edit_phrase') {
            $page_data['edit_profile'] = $param2;
        }
        if ($param1 == 'update_phrase') {
            $language     = $param2;
            $total_phrase = $this->input->post('total_phrase');
            for ($i = 1; $i < $total_phrase; $i++) {
                //$data[$language]	=	$this->input->post('phrase').$i;
                $this->db->where('phrase_id', $i);
                $this->db->update('language', array(
                    $language => $this->input->post('phrase' . $i)
                ));
            }
            redirect(base_url() . 'index.php?admin/manage_language/edit_phrase/' . $language, 'refresh');
        }
        if ($param1 == 'do_update') {
            $language        = $this->input->post('language');
            $data[$language] = $this->input->post('phrase');
            $this->db->where('phrase_id', $param2);
            $this->db->update('language', $data);
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        if ($param1 == 'add_phrase') {
            $data['phrase'] = $this->input->post('phrase');
            $this->db->insert('language', $data);
            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        if ($param1 == 'add_language') {
            $language = $this->input->post('language');
            $this->load->dbforge();
            $fields = array(
                $language => array(
                    'type' => 'LONGTEXT'
                )
            );
            $this->dbforge->add_column('language', $fields);

            $this->session->set_flashdata('flash_message', 'settings_updated');
            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        if ($param1 == 'delete_language') {
            $language = $param2;
            $this->load->dbforge();
            $this->dbforge->drop_column('language', $language);
            $this->session->set_flashdata('flash_message', 'settings_updated');

            redirect(base_url() . 'index.php?admin/manage_language/', 'refresh');
        }
        $page_data['page_name']  = 'manage_language';
        $page_data['page_icon'] = 'comment';
        $page_data['page_title'] = 'manage_language';
        //$page_data['language_phrases'] = $this->db->get('language')->result_array();
        $this->load->view('index', $page_data);
    }

    /******MANAGE OWN PROFILE AND CHANGE PASSWORD***/
    function manage_profile($param1 = '', $param2 = '', $param3 = '')
    {
        if ($this->session->userdata('admin_login') != 1)
            redirect(base_url() . 'index.php?login', 'refresh');
        if ($param1 == 'update_profile_info') {
            $data['email'] = $this->input->post('email');

            $this->db->where('admin_id', $this->session->userdata('admin_id'));
            $this->db->update('admin', $data);
            $this->session->set_flashdata('flash_message', 'account_updated');
            redirect(base_url() . 'index.php?admin/manage_profile/', 'refresh');
        }
        if ($param1 == 'change_password') {
            $data['password']             = $this->input->post('password');
            $data['new_password']         = $this->input->post('new_password');
            $data['confirm_new_password'] = $this->input->post('confirm_new_password');

            $current_password = $this->db->get_where('admin', array(
                'admin_id' => $this->session->userdata('admin_id')
            ))->row()->password;
            if ($current_password == $data['password'] && $data['new_password'] == $data['confirm_new_password']) {
                $this->db->where('admin_id', $this->session->userdata('admin_id'));
                $this->db->update('admin', array(
                    'password' => $data['new_password']
                ));
                $this->session->set_flashdata('flash_message', 'password_updated');
            } else {
                $this->session->set_flashdata('flash_message', 'password_mismatch');
            }
            redirect(base_url() . 'index.php?admin/manage_profile/', 'refresh');
        }
        $page_data['page_name']  = 'manage_profile';
        $page_data['page_icon'] = 'key';
        $page_data['page_title'] = 'Minha Conta';
        $page_data['edit_data']  = $this->db->get_where('admin', array(
            'admin_id' => $this->session->userdata('admin_id')
        ))->result_array();
        $this->load->view('index', $page_data);
    }

}
